> ## Documentation Index
> Fetch the complete documentation index at: https://docs-v2.sortx.co.uk/llms.txt
> Use this file to discover all available pages before exploring further.

# Compliance board eicr

> Electrical (EICR): every report, its findings and remedial work



## OpenAPI

````yaml /openapi.json get /compliance/boards/electrical-eicr
openapi: 3.1.0
info:
  title: SortX API
  version: 1.0.0
  description: >-
    Reactive repairs, planned maintenance, compliance and the repairs desk for
    UK letting agents and property managers.
servers:
  - url: https://api.sortx.co.uk
    description: Production
security: []
tags:
  - name: tenants
  - name: entitlements
  - name: events
  - name: workspace-settings
  - name: operational-catalogues
  - name: money
  - name: contacts
  - name: properties
  - name: address-lookup
  - name: tenancies
  - name: contractor-invoices
  - name: keys
  - name: inspections
  - name: handovers
  - name: planned-maintenance
  - name: contractors
  - name: company-onboarding
  - name: documents
  - name: compliance
  - name: activity
  - name: tasks
  - name: today
  - name: desk
  - name: people
  - name: property-boards
  - name: reports
  - name: workspace-search
  - name: calendar
  - name: telephony
  - name: maintenance-pro
  - name: front-desk
  - name: maintenance-pro-public
  - name: maintenance-pro-contractor
paths:
  /compliance/boards/electrical-eicr:
    get:
      tags:
        - compliance
      summary: Compliance board eicr
      description: 'Electrical (EICR): every report, its findings and remedial work'
      operationId: compliance.complianceBoardEicr
      parameters: []
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  today:
                    type: string
                  dataAsOf:
                    type: string
                  kpis:
                    type: array
                    items:
                      type: object
                      properties:
                        key:
                          type: string
                        label:
                          type: string
                        value:
                          type: string
                        valueSuffix:
                          anyOf:
                            - type: string
                            - type: 'null'
                        sub:
                          type: string
                        tone:
                          anyOf:
                            - type: string
                              enum:
                                - ok
                                - due
                                - bad
                                - none
                            - type: 'null'
                      required:
                        - key
                        - label
                        - value
                        - valueSuffix
                        - sub
                        - tone
                      additionalProperties: false
                  tabs:
                    type: array
                    items:
                      type: object
                      properties:
                        key:
                          type: string
                        label:
                          type: string
                        count:
                          anyOf:
                            - type: number
                            - type: string
                              enum:
                                - Infinity
                                - '-Infinity'
                                - NaN
                      required:
                        - key
                        - label
                        - count
                      additionalProperties: false
                  rows:
                    type: array
                    items:
                      type: object
                      properties:
                        propertyId:
                          type: string
                        property:
                          type: object
                          properties:
                            propertyId:
                              type: string
                            name:
                              type: string
                            line1:
                              type: string
                            postcode:
                              type: string
                            area:
                              type: string
                            town:
                              anyOf:
                                - type: string
                                - type: 'null'
                            place:
                              type: string
                            type:
                              anyOf:
                                - type: string
                                - type: 'null'
                            beds:
                              anyOf:
                                - anyOf:
                                    - type: number
                                    - type: string
                                      enum:
                                        - Infinity
                                        - '-Infinity'
                                        - NaN
                                - type: 'null'
                            rooms:
                              anyOf:
                                - anyOf:
                                    - type: number
                                    - type: string
                                      enum:
                                        - Infinity
                                        - '-Infinity'
                                        - NaN
                                - type: 'null'
                            hmo:
                              type: boolean
                            blockId:
                              anyOf:
                                - type: string
                                - type: 'null'
                            blockName:
                              anyOf:
                                - type: string
                                - type: 'null'
                            landlordContactId:
                              anyOf:
                                - type: string
                                - type: 'null'
                            landlord:
                              anyOf:
                                - type: string
                                - type: 'null'
                            tenants:
                              type: array
                              items:
                                type: string
                            occupants:
                              anyOf:
                                - anyOf:
                                    - type: number
                                    - type: string
                                      enum:
                                        - Infinity
                                        - '-Infinity'
                                        - NaN
                                - type: 'null'
                            vacant:
                              anyOf:
                                - type: boolean
                                - type: 'null'
                            tenancyEndsOn:
                              anyOf:
                                - type: string
                                - type: 'null'
                            nextTenancyStartsOn:
                              anyOf:
                                - type: string
                                - type: 'null'
                          required:
                            - propertyId
                            - name
                            - line1
                            - postcode
                            - area
                            - town
                            - place
                            - type
                            - beds
                            - rooms
                            - hmo
                            - blockId
                            - blockName
                            - landlordContactId
                            - landlord
                            - tenants
                            - occupants
                            - vacant
                            - tenancyEndsOn
                            - nextTenancyStartsOn
                          additionalProperties: false
                        tabs:
                          type: array
                          items:
                            type: string
                        status:
                          type: object
                          properties:
                            tone:
                              type: string
                              enum:
                                - ok
                                - due
                                - bad
                                - none
                            label:
                              type: string
                          required:
                            - tone
                            - label
                          additionalProperties: false
                        headline:
                          type: object
                          properties:
                            tone:
                              type: string
                              enum:
                                - ok
                                - due
                                - bad
                                - none
                            label:
                              type: string
                          required:
                            - tone
                            - label
                          additionalProperties: false
                        documentId:
                          anyOf:
                            - type: string
                            - type: 'null'
                        work:
                          anyOf:
                            - type: object
                              properties:
                                id:
                                  type: string
                                subjectKind:
                                  type: string
                                  enum:
                                    - property
                                    - block
                                subjectId:
                                  type: string
                                kind:
                                  type: string
                                state:
                                  type: string
                                  enum:
                                    - booked
                                    - awaiting_certificate
                                contractorContactId:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                                contractorName:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                                visitOn:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                                note:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                                openedAt:
                                  type: string
                                openedByUserId:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                                revision:
                                  anyOf:
                                    - type: number
                                    - type: string
                                      enum:
                                        - Infinity
                                        - '-Infinity'
                                        - NaN
                                updatedAt:
                                  type: string
                              required:
                                - id
                                - subjectKind
                                - subjectId
                                - kind
                                - state
                                - contractorContactId
                                - contractorName
                                - visitOn
                                - note
                                - openedAt
                                - openedByUserId
                                - revision
                                - updatedAt
                              additionalProperties: false
                            - type: 'null'
                        note:
                          anyOf:
                            - type: string
                            - type: 'null'
                        electrician:
                          anyOf:
                            - type: string
                            - type: 'null'
                        bookedOn:
                          anyOf:
                            - type: string
                            - type: 'null'
                        inspectedOn:
                          anyOf:
                            - type: string
                            - type: 'null'
                        nextDueOn:
                          anyOf:
                            - type: string
                            - type: 'null'
                        daysLeft:
                          anyOf:
                            - anyOf:
                                - type: number
                                - type: string
                                  enum:
                                    - Infinity
                                    - '-Infinity'
                                    - NaN
                            - type: 'null'
                        outcome:
                          anyOf:
                            - type: string
                              enum:
                                - satisfactory
                                - unsatisfactory
                            - type: 'null'
                        findings:
                          type: array
                          items:
                            type: object
                            properties:
                              code:
                                type: string
                                enum:
                                  - C1
                                  - C2
                                  - C3
                                  - FI
                              count:
                                anyOf:
                                  - type: number
                                  - type: string
                                    enum:
                                      - Infinity
                                      - '-Infinity'
                                      - NaN
                              tone:
                                type: string
                                enum:
                                  - ok
                                  - due
                                  - bad
                                  - none
                            required:
                              - code
                              - count
                              - tone
                            additionalProperties: false
                        findingsRecorded:
                          type: boolean
                        observations:
                          type: array
                          items:
                            type: object
                            properties:
                              code:
                                type: string
                                enum:
                                  - C1
                                  - C2
                                  - C3
                                  - FI
                              description:
                                type: string
                              location:
                                anyOf:
                                  - type: string
                                  - type: 'null'
                            required:
                              - code
                              - description
                              - location
                            additionalProperties: false
                        remedial:
                          anyOf:
                            - type: object
                              properties:
                                dueOn:
                                  type: string
                                daysLeft:
                                  anyOf:
                                    - type: number
                                    - type: string
                                      enum:
                                        - Infinity
                                        - '-Infinity'
                                        - NaN
                                windowDays:
                                  anyOf:
                                    - type: number
                                    - type: string
                                      enum:
                                        - Infinity
                                        - '-Infinity'
                                        - NaN
                                line:
                                  type: string
                                elapsed:
                                  anyOf:
                                    - type: number
                                    - type: string
                                      enum:
                                        - Infinity
                                        - '-Infinity'
                                        - NaN
                                record:
                                  anyOf:
                                    - type: object
                                      properties:
                                        id:
                                          type: string
                                        propertyId:
                                          type: string
                                        documentId:
                                          type: string
                                        dutyKind:
                                          type: string
                                        contractorContactId:
                                          anyOf:
                                            - type: string
                                            - type: 'null'
                                        contractorName:
                                          anyOf:
                                            - type: string
                                            - type: 'null'
                                        quoteMinor:
                                          anyOf:
                                            - anyOf:
                                                - type: number
                                                - type: string
                                                  enum:
                                                    - Infinity
                                                    - '-Infinity'
                                                    - NaN
                                            - type: 'null'
                                        approval:
                                          type: string
                                          enum:
                                            - not_needed
                                            - awaiting
                                            - approved
                                            - declined
                                        approvalRequestedAt:
                                          anyOf:
                                            - type: string
                                            - type: 'null'
                                        approvalDecidedAt:
                                          anyOf:
                                            - type: string
                                            - type: 'null'
                                        completedOn:
                                          anyOf:
                                            - type: string
                                            - type: 'null'
                                        confirmationSentOn:
                                          anyOf:
                                            - type: string
                                            - type: 'null'
                                        note:
                                          anyOf:
                                            - type: string
                                            - type: 'null'
                                        revision:
                                          anyOf:
                                            - type: number
                                            - type: string
                                              enum:
                                                - Infinity
                                                - '-Infinity'
                                                - NaN
                                        updatedAt:
                                          type: string
                                      required:
                                        - id
                                        - propertyId
                                        - documentId
                                        - dutyKind
                                        - contractorContactId
                                        - contractorName
                                        - quoteMinor
                                        - approval
                                        - approvalRequestedAt
                                        - approvalDecidedAt
                                        - completedOn
                                        - confirmationSentOn
                                        - note
                                        - revision
                                        - updatedAt
                                      additionalProperties: false
                                    - type: 'null'
                              required:
                                - dueOn
                                - daysLeft
                                - windowDays
                                - line
                                - elapsed
                                - record
                              additionalProperties: false
                            - type: 'null'
                        reportSentOn:
                          anyOf:
                            - type: string
                            - type: 'null'
                        progress:
                          type: array
                          items:
                            type: object
                            properties:
                              state:
                                type: string
                                enum:
                                  - done
                                  - current
                                  - todo
                                  - problem
                              title:
                                type: string
                              sub:
                                anyOf:
                                  - type: string
                                  - type: 'null'
                              'on':
                                anyOf:
                                  - type: string
                                  - type: 'null'
                            required:
                              - state
                              - title
                              - sub
                              - 'on'
                            additionalProperties: false
                      required:
                        - propertyId
                        - property
                        - tabs
                        - status
                        - headline
                        - documentId
                        - work
                        - note
                        - electrician
                        - bookedOn
                        - inspectedOn
                        - nextDueOn
                        - daysLeft
                        - outcome
                        - findings
                        - findingsRecorded
                        - observations
                        - remedial
                        - reportSentOn
                        - progress
                      additionalProperties: false
                required:
                  - today
                  - dataAsOf
                  - kpis
                  - tabs
                  - rows
                additionalProperties: false
        '400':
          description: >-
            TenantCreateRejected | ConfigMissing | IntegrationRejected |
            AuthRejected | RegistrationRejected | UnknownIntegration |
            WebhookUnroutable | RateUnavailable
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/TenantCreateRejectedEncoded'
                  - $ref: '#/components/schemas/ConfigMissingEncoded'
                  - $ref: '#/components/schemas/IntegrationRejectedEncoded'
                  - $ref: '#/components/schemas/AuthRejectedEncoded'
                  - $ref: '#/components/schemas/RegistrationRejectedEncoded'
                  - $ref: '#/components/schemas/UnknownIntegrationEncoded'
                  - $ref: '#/components/schemas/WebhookUnroutableEncoded'
                  - $ref: '#/components/schemas/RateUnavailableEncoded'
        '401':
          description: Unauthenticated | WebhookRejected | ApiKeyRejected
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/UnauthenticatedEncoded'
                  - $ref: '#/components/schemas/WebhookRejectedEncoded'
                  - $ref: '#/components/schemas/ApiKeyRejectedEncoded'
        '402':
          description: TenantSuspended | PlanRequired
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/TenantSuspendedEncoded'
                  - $ref: '#/components/schemas/PlanRequiredEncoded'
        '403':
          description: >-
            EntitlementMissing | NotAMember | ScopeUnknown | ScopeMissing |
            TenantMismatch | WorkspaceOwnerRequired | WorkspaceRoleRequired
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/EntitlementMissingEncoded'
                  - $ref: '#/components/schemas/NotAMemberEncoded'
                  - $ref: '#/components/schemas/ScopeUnknownEncoded'
                  - $ref: '#/components/schemas/ScopeMissingEncoded'
                  - $ref: '#/components/schemas/TenantMismatchEncoded'
                  - $ref: '#/components/schemas/WorkspaceOwnerRequiredEncoded'
                  - $ref: '#/components/schemas/WorkspaceRoleRequiredEncoded'
        '404':
          description: TenantNotFound | ModuleRequestNotFound
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/TenantNotFoundEncoded'
                  - $ref: '#/components/schemas/ModuleRequestNotFoundEncoded'
        '409':
          description: WebhookDuplicate | RegistrationConflict | MoneyBusy
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/WebhookDuplicateEncoded'
                  - $ref: '#/components/schemas/RegistrationConflictEncoded'
                  - $ref: '#/components/schemas/MoneyBusyEncoded'
        '429':
          description: RateLimited
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RateLimitedEncoded'
        '503':
          description: IntegrationUnavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntegrationUnavailableEncoded'
      security:
        - apiKey: []
components:
  schemas:
    TenantCreateRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantCreateRejected
        reason:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - reason
      additionalProperties: false
    ConfigMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ConfigMissing
        key:
          type: string
      required:
        - _tag
        - key
      additionalProperties: false
    IntegrationRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - IntegrationRejected
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    AuthRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - AuthRejected
        code:
          type: string
        message:
          type: string
      required:
        - _tag
        - code
        - message
      additionalProperties: false
    RegistrationRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RegistrationRejected
        message:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - message
      additionalProperties: false
    UnknownIntegrationEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - UnknownIntegration
        integration:
          type: string
      required:
        - _tag
        - integration
      additionalProperties: false
    WebhookUnroutableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookUnroutable
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    RateUnavailableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RateUnavailable
        base:
          type: string
        quote:
          type: string
        'on':
          type: string
      required:
        - _tag
        - base
        - quote
        - 'on'
      additionalProperties: false
    UnauthenticatedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - Unauthenticated
      required:
        - _tag
      additionalProperties: false
    WebhookRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookRejected
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    ApiKeyRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ApiKeyRejected
      required:
        - _tag
      additionalProperties: false
    TenantSuspendedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantSuspended
        tenantId:
          type: string
        reason:
          type: string
      required:
        - _tag
        - tenantId
        - reason
      additionalProperties: false
    PlanRequiredEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - PlanRequired
        tenantId:
          type: string
      required:
        - _tag
        - tenantId
      additionalProperties: false
    EntitlementMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - EntitlementMissing
        tenantId:
          type: string
        moduleId:
          type: string
      required:
        - _tag
        - tenantId
        - moduleId
      additionalProperties: false
    NotAMemberEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - NotAMember
        userId:
          type: string
        slug:
          type: string
      required:
        - _tag
        - userId
        - slug
      additionalProperties: false
    ScopeUnknownEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ScopeUnknown
        scope:
          type: string
      required:
        - _tag
        - scope
      additionalProperties: false
    ScopeMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ScopeMissing
        scope:
          type: string
      required:
        - _tag
        - scope
      additionalProperties: false
    TenantMismatchEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantMismatch
        header:
          type: string
        organizationId:
          type: string
      required:
        - _tag
        - header
        - organizationId
      additionalProperties: false
    WorkspaceOwnerRequiredEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WorkspaceOwnerRequired
      required:
        - _tag
      additionalProperties: false
    WorkspaceRoleRequiredEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WorkspaceRoleRequired
        role:
          anyOf:
            - type: string
            - type: 'null'
        required:
          type: array
          items:
            type: string
        message:
          type: string
      required:
        - _tag
        - role
        - required
        - message
      additionalProperties: false
    TenantNotFoundEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantNotFound
        slug:
          type: string
      required:
        - _tag
        - slug
      additionalProperties: false
    ModuleRequestNotFoundEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ModuleRequestNotFound
        id:
          type: string
      required:
        - _tag
        - id
      additionalProperties: false
    WebhookDuplicateEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookDuplicate
        integration:
          type: string
        externalId:
          type: string
      required:
        - _tag
        - integration
        - externalId
      additionalProperties: false
    RegistrationConflictEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RegistrationConflict
        message:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - message
      additionalProperties: false
    MoneyBusyEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - MoneyBusy
        message:
          type: string
      required:
        - _tag
        - message
      additionalProperties: false
    RateLimitedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RateLimited
        key:
          type: string
        retryAfterSeconds:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        message:
          type: string
      required:
        - _tag
        - key
        - retryAfterSeconds
        - message
      additionalProperties: false
    IntegrationUnavailableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - IntegrationUnavailable
        integration:
          type: string
        detail:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - integration
      additionalProperties: false
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        A workspace API key (Settings → API keys), scoped to `<group>:read` /
        `<group>:write`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.